#----------GET THE MAC OF THE CLIENT-----------------#
export CLIENT_MAC=01-$2
export DEF_LABEL=$1


#-----------------CREATING BOOT FILE-----------------#
echo PROMPT 0 > $CLIENT_MAC
echo DEFAULT $DEF_LABEL >> $CLIENT_MAC

echo "SAY *************************************************" >> $CLIENT_MAC
echo "SAY  Roulette software is loading, please wait..."     >> $CLIENT_MAC
echo "SAY  Enej Miklavcic s.p.(SI), 2013 All rights reserved"  >> $CLIENT_MAC
echo "SAY *************************************************" >> $CLIENT_MAC

#-------------KERNEL DEFINITIONS---------------------#

#epiaM1000
echo >> $CLIENT_MAC
echo LABEL CentaurHauls_F6_M9_S10 >> $CLIENT_MAC
echo KERNEL ./EpiaM1000/bzImage >> $CLIENT_MAC
echo APPEND root=/dev/nfs rw quiet ip=dhcp nfsroot=192.168.0.254:/ClientRoot vga=791 splash=silent consoleblank=0 >> $CLIENT_MAC

#IntelD2500HN
echo >> $CLIENT_MAC
echo LABEL GenuineIntel_F6_M54_S1 >> $CLIENT_MAC
echo KERNEL ./D2500HN/bzImage >> $CLIENT_MAC
echo APPEND root=/dev/nfs rw irqpoll quiet ip=dhcp nfsroot=192.168.0.254:/ClientRoot vga=791 splash=silent consoleblank=0 >> $CLIENT_MAC

#IntelD510MO
echo >> $CLIENT_MAC
echo LABEL GenuineIntel_F6_M28_S10 >> $CLIENT_MAC
echo KERNEL ./D510MO/bzImage >> $CLIENT_MAC
echo APPEND root=/dev/nfs rw quiet ip=dhcp nfsroot=192.168.0.254:/ClientRoot vga=791 splash=silent consoleblank=0 >> $CLIENT_MAC

#Quixant 
echo >> $CLIENT_MAC
echo LABEL AuthenticAMD_F15_M111_S2 >> $CLIENT_MAC
echo KERNEL ./QXI100/bzImage >> $CLIENT_MAC
echo APPEND root=/dev/nfs rw quiet ip=dhcp nfsroot=192.168.0.254:/ClientRoot vga=794 splash=silent consoleblank=0 >> $CLIENT_MAC

#Kontron 786-mITX-LVPlus
echo >> $CLIENT_MAC
echo LABEL GenuineIntel_F6_M11_S4 >> $CLIENT_MAC
echo KERNEL ./Kontron/bzImage >> $CLIENT_MAC
echo APPEND quiet root=/dev/nfs rw nfsroot=192.168.0.254:/ClientRoot ip=dhcp fbcon=rotate:0 video=i810fb:vram:32,xres:1024,yres:768,bpp:16,hsync1:30,hsync2:55,vsync1:60,vsync2:60,accel,mtrr >> $CLIENT_MAC

#Kontron 886-mITX-BGA-LV
echo >> $CLIENT_MAC
echo LABEL GenuineIntel_F6_M13_S8 >> $CLIENT_MAC
echo KERNEL ./Kontron886/bzImage >> $CLIENT_MAC
echo APPEND quiet root=/dev/nfs rw nfsroot=192.168.0.254:/ClientRoot ip=dhcp fbcon=rotate:0 vga=791 >> $CLIENT_MAC
#video=intelfb:mode=1024x768-16@60,vram=1 >> $CLIENT_MAC

#IntelG945GCLF
echo >> $CLIENT_MAC
echo LABEL GenuineIntel_F6_M28_S2 >> $CLIENT_MAC
echo KERNEL ./IntelG945GCLF/bzImage >> $CLIENT_MAC
echo APPEND root=/dev/nfs rw nfsroot=192.168.0.254:/ClientRoot ip=dhcp video=intelfb:mode=1024x768-16@60 vga=791 fbcon=rotate:0 >> $CLIENT_MAC
#SET BIOS TO: DVMT, 128,256,internal

#intelD201GLY
echo >> $CLIENT_MAC
echo LABEL GenuineIntel_F6_M14_S8 >> $CLIENT_MAC
echo KERNEL ./IntelD201GLY/bzImage >> $CLIENT_MAC
echo APPEND root=/dev/nfs rw nfsroot=192.168.0.254:/ClientRoot ip=dhcp fbcon=rotate:0 vga=791 >> $CLIENT_MAC




cp $CLIENT_MAC /tftpboot/pxelinux.cfg/ -rf --reply=yes
rm $CLIENT_MAC -rf
