#!/bin/bash
echo
echo "Starting Database repair LEVEL 3 on `cat /RouletteMaster/ROULETTE_NAME` /data/ROULETTE_DATA.GDB"
echo 
echo "   ALL DATA AND CONFIGURATION WILLL BE LOST  "
echo
echo "Press CTRL+C to cancel now...."
sleep 5
echo "Started...please wait(this process may last up to 30 minutes)."
echo "!!!DO NOT INTERRUPT THIS PROCESS!!!"


service crond stop > /dev/null 2>&1
service roulette stop > /dev/null 2>&1
service firebird stop > /dev/null 2>&1

sleep 10

#rm -rf /data/TEMPDB.GDB > /dev/null 2>&1
rm -rf /data/TEMPBKP.GBK > /dev/null 2>&1

BKPDB=`mktemp /data/ROULETTE_DATA.XXX`;
#if [ ! -e $BKPDB ]; then
    mv /data/ROULETTE_DATA.GDB $BKPDB
    if [ $? -ne 0 ]; then
	echo "ERROR: Error renaming database /data/ROULETTE_DATA.GDB to $BKPDB"
	exit 1
    fi
    echo "Old database renamed to $BKPDB."
    cp /RouletteMaster/EMPTY_DATABASE/ROULETTE_NEW.GDB /data/ROULETTE_DATA.GDB
    if [ $? -ne 0 ]; then
	echo "ERROR: Error copying new database from /RouletteMaster/EMPTY_DATABASE/ROULETTE_NEW.GDB to /data/ROULETTE_DATA.GDB"
	exit 2
    fi
    echo "New database copied to /data/ROULETTE_DATA.GDB"

    chmod 666 /data/ROULETTE_DATA.GDB
    chown firebird:firebird /data/ROULETTE_DATA.GDB
    if [ $? -ne 0 ]; then
	echo "ERROR: Error setting permission to /data/ROULETTE_DATA.GDB"
	exit 3
    fi
    echo "Database permission set to 666 and owned by firebird."
    
    /sbin/service firebird start
    sleep 2                       
    
#fi
echo
echo "DB REPAIR LEVEL3 was finished successfully."
echo
sleep 5
exit 0

